Doomsday Engine - Bug #2364

Single color transparancy background edges
2019-12-08 16:52 - 3DMaster

Status: Closed Start date: 2019-12-08
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 23

Description

As described here

http:/talk.dengine.net/discussion/2689/neural-upscale-textures-for-doom-white-edge

whenever a sprite has a single color transparency background, the sprite gets an outline in doomsday of that color. And although
there's a workaround by editing the sprite and turning the transparency background into something doomsday handles properly, it
seems to me this a hell of a lot of work that shouldn't be necessary; not just with existing sprites/projects, but also any future
releases. It would be nice if Doomsday properly deals with single color transparency, and not give the sprite an edge.

Associated revisions

Revision 11bdcc38 - 2020-01-05 21:51 - skyjake

Fixed|GL|Textures: Outline visible on external images

External images did not undergo bilinear filtering outline reduction. Now the RGB values of transparent pixels is set to the average of the surrounding
non-transparent pixels.

IssuelD #2364

History

#1 - 2019-12-09 13:29 - skyjake

Is there an upsampled image/sprite/texture | could use for testing?

#2 - 2020-01-04 16:01 - 3DMaster

Here's the Neural Upscale pack | use; it's the one you can download from doomworld but someone graciously modified it for Doomsday Engine, after
which | removed the ones that | use other textures and/or models for that | like.

The shotgunner has the edge, the candle has the edge, the grating has the edge.

https://www.dropbox.com/s/1cgxe57b87ssmtu/Neural%20Upscale.zip?dI=0

#3 - 2020-01-05 09:10 - skyjake

Thanks. Yeah | can see the outlines, will have to investigate exactly what is causing them.

#4 - 2020-01-05 21:30 - skyjake

- Status changed from New to In Progress

- Assignee changed from Deng Team to skyjake

- Target version set to 2.3

| noticed that the outlines disappear if you set "rend-tex-filter-sprite" to zero.

This means it's the alpha blending of the pixels just next to the opaque ones that is causing the issue. This is relatively straightforward to fix.
#5 - 2020-01-05 21:51 - skyjake

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#6 - 2020-12-08 08:27 - skyjake
- Status changed from Resolved to Closed
